### Function

# WPEWebKit URISchemeRequestCallback

since: 2.0

#### Declaration

    void
    (* WebKitURISchemeRequestCallback) (
      WebKitURISchemeRequest* request,
      gpointer user_data
    )

#### Description [src]

Type definition for a function that will be called back when an URI request is made for a user registered URI scheme.

Available since: 2.0

#### Parameters

`request`

  Type: `WebKitURISchemeRequest`

  The `WebKitURISchemeRequest`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.